# imports - standard imports
import sys

# imports - module imports
from xhiveframework.integrations.xhiveframework_providers.xhiveframeworkcloud import xhiveframeworkcloud_migrator


def migrate_to(local_site, xhiveframework_provider):
	if xhiveframework_provider in ("xhiveframework.cloud", "xhiveframeworkcloud.com"):
		return xhiveframeworkcloud_migrator(local_site)
	else:
		print(f"{xhiveframework_provider} is not supported yet")
		sys.exit(1)
